package frames

var TorusKnot = DefaultFrameType(KnotFrames)

var KnotFrames = []string{
	`                                                              
                                                              
                                                              
                                                              
                                                              
                                        .........             
                                   ..::----===----::.         
           .:.                 ..:--===+++========--::..      
            :-:...          ..:-==++++++****++======-:::..    
             .:::::..     .:-=+*******#**=-:.     .:---::..   
               ::::::...:-=+**######&*=:             .--::..  
                .:-:::-==+*##&&&&&&*-                  :-:..  
                 ..--=+**#&&&&@@@#=.                    ::..  
               .....:-+#&@@@@@@#-                       .::.. 
                .....::-=#@@&+:                          ::.. 
                 .....:::::.                            .::.. 
              .   ......                                ::... 
             .... ...                                  :-::.  
             ..-+=:                    .:.           .:::..   
            .:-=-.                   .:::::::::...::::..      
           .:-:                    ...............            
          .::                    ......                       
         ..                                                   
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                      ..:::----::::..         
                                 ..::--==========--:::..      
             .                .::--==++++++++++====--:::.     
            :-=-::...       .:--=++*******+=-:.   ..:-::..    
            .-+=--:::......:-=+**######*+:            :::..   
             :==-:--:::::-=+**#######*-.               .::.   
             ..-=-:::::-=+*##&&&&&@#+: .....            .:..  
             ...:=-: :++*#&&&@@@&*=.     ...:.           :..  
              ...:-==+##&&@@@#+-.           ..           .:.  
              .....:-=+&&&*-.                .           ::.  
               ....:::-::                  ...           ::.  
               ......                     ..            ::..  
               ...                                     ::.    
                                    .::..           .:::.     
                                  .:-----:-::::::::::..       
                                .:::..............            
                              ........                        
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                       ..::::::..             
                                   ..:---====----::.          
                                .:--=+++++=++++===--:.        
                              .:-=+++++++**+=-::.::--:..      
             .:-::........ ..-==+********+:.        .::..     
            .:===--::::::::-=++*#######+:             .:..    
            .:=++=----::::-+*####&&&&*=:....           .:.    
            ..:+*-......-=+##&&@@@&#+:::::::::          :..   
             .::=+:    -+*#&@@&#+=:.     ...:::         ...   
              .::=++: +##&#*=:.           ....:         ...   
               .::-=***+-.                ..::.         ...   
               ..:::::.                  .:::.         .:.    
              ....                     .::.           .:..    
                                                     .:..     
                                 .-==:..          .:::.       
                               .------------:::::::..         
                            .:::::..............              
                          ..::.......                         
                          ........                            
                     ::                                       
                   :=:                                        
                 .-=.                                         
                .--                                           
               .:.                                            
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                         ...                  
                                    .::-----::.               
                                 .:--=========-:..            
                               .:-=+++++++++=-:-::.           
                              :-=++******+-.     .:.          
                 .::........:-=+********=          ..         
              .:-==-----::::-+**######*-.           ..        
             .:-=++==--::::=*###&&&&&*=---::::.      .        
             .:=+++=::...:+*&&@@&#*+=:::::::::..     ..       
             .:-=**.    .*###*+-:.    .....:....     ..       
            ...:==**:   --:.          ..........     ..       
             ...:-=+*.               .....::::.      ..       
             ......                  ..::-::.        :.       
                                   .:::::.          :.        
                                   ..            ..:.         
                              .-++=-:...      .:::.           
                           .:-======-----::::::.              
                         .:---:::........                     
                      :-::::........                          
                   .-+*+=-.......                             
                  -++++++-                                    
                :-======:                                     
               :-=====-.                                      
              .::----:                                        
               ..:::.                                         
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                   ......                     
                                .:-------:.                   
                               :-==++++===-:.                 
                              :-=++++++++-. ..                
                             :=++****+++:                     
                     .......:+*********- ..                   
                 .:------:::=**#######+::--:..                
                :-=====---:-+#&&&&&#*+----:::..               
               .:=++++==-:-*###*+=-::::::::....               
              ..-+++*+:.  .-:..   ...............             
              .:-+***:          ................              
              ..:-:.               ..::::--::.                
                                ...:-----:.     .             
                                .:---:.        .              
                             .:-=-           ...              
                           :-+*##+-:........:.                
                        .-=+==--------:::...                  
                      :----::::...                            
                     --::::::...                              
                   .-===-::...                                
                  :-===+++==:                                 
                .:=========-                                  
             .::----=====-:                                   
             .::::------:.                                    
              ...:::::.                                       
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                 .                            
                               ::::.                          
                              :-===-:                         
                             :==+++++-.                       
                             -++++++++=.                      
                             =*****+++=.                      
                            :********+-..                     
                       .::::=*######*+-::.                    
                    .:-===--+###**+=-::::.                    
                  .-=++++=-:--::..........                    
                 .-++==-:.      ..........                    
                .:-:.         .....:::::::                    
                            .....:::-----:                    
                           .....:--==-:.                      
                         .. ..:=+***-                         
                          .-+*#&&&#+.   .                     
                       .:=*####***+=:...                      
                     .-=+++=-:::::...                         
                    :-----::...                               
                     .::.....                                 
                       .:..                                   
                      .====-:.                                
            .       .-===++++=-.                              
            .:....::---=====-:.                               
             .::::::::-----:.                                 
              .....:::::::.                                   
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                           :-:                                
                           -==-                               
                           :+++:                              
                           .++*+.                             
                            +***=                             
                            +**##-                            
                            =####+                            
                         .::-+=--:                            
                       ...........                            
                      .   ........                            
                         .....::::.                           
                        ....::::--.                           
                       ....::--+*#-                           
                      ....:--+&@@@-                           
                    ...:-+#@#*&@&=                            
                    .:=+*#***+=-.                             
                   .-====-::.                                 
                    :--:::.                                   
                     .::.                                     
             .          ..                                    
            .             ::..                                
           .:.           :=======-:                           
           .:::.     ..:-=======-:                            
            ..::::::-------=---:.                             
              ....::.::::---::.                               
                  ..........                                  
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                       ...              ..                    
                     .....              ......                
                     ....:.             ..                    
                    ....::.             :                     
                    ...::::             :.                    
                   ...:-=*+             :.                    
                  ...-=*&@*             :.                    
                 ...:+***=.            ::                     
               ...  :+=-.             .-:                     
              ..     --.             .=-:                     
            ..        :.            :+=-.                     
           .:          .          :=+=-:                      
           ::                 :-=+++==:.                      
          .:::               -++++===:.                       
           .::::.          :-=======:                         
            ..::::::::::::---====--:                          
              ....:::::::::::::-::.                           
                   ........:....                              
                                                              
                                                              
`, `
                                                              
                                                              
                             :.                               
                             ::.                              
                             .-:.                             
                              -=-.                            
                              -+=-..                          
                              .+*+-..                         
                               --:....                        
                                  .....                       
                                .........                     
                                .:::............:::...        
                                .::::::---:::::..             
                                .++**#**+=:..                 
                 ..             =@@@@&#*==.                   
                ....            :@@@@&#*+-:                   
                ...:             &@@&&#*+-:                   
                 .::             +&&&&#*+-:.                  
               .::.              .#&&##*+=:.                  
              .:.                 +&##**+-:.                  
            .::                   +##**+=-.                   
           .::                    =****+=:.                   
          .:-                     +***+=-:                    
          .:-.                   -++++==-.                    
          .:::.                 :++++==-:                     
          ...:--.              -+++===-:.                     
           ...:::::...     .::=======-:                       
              ....::::::::----------:.                        
                  ........::::::::.                           
                           ...                                
                                                              
`, `
                                                              
                        ..                                    
                       .:::..                                 
                       :----:.                                
                       :====--:.                              
                       :+++++=-::.                            
                        -**++++=-::.                          
                         :+***+=-:.                           
                          .=-:..                              
                         ...........                          
                         .:::::...................::::::.     
                         .::::::::::::::---:::-:---::::.      
                          :----:--=+***++=-::::::::..         
                          .==+*##&@@@&#*+=---:::..            
            .             .*@@@@@@@@@&#*+=--:..               
             .             +@@@@@@@@@&&#+=--:                 
             .             .#@@@@##@@&&#*=-:.                 
              .             +@@&&#*&&&&#*=-:.                 
             ..:.            +&&&&**&&##*+-:.                 
            .:-:             .=*##=:###**+-:.                 
           .:-:               :=+-  *#**+=-:.                 
          .:--               .::.   +#**+=-:.                 
          .:-:                      +**++=-.                  
          .:--.                    :**++=-:.                  
          .::--.                   =*++==-.                   
           .:::-:                .=++==--.                    
            ...::::..          .:=====-:.                     
              ....::::::::::::-=====-::.                      
                  ....::::::::::::::.                         
                         .    ....                            
                                                              
`, `
                                                              
                       .                                      
                   ..::::..                                   
                  .-------::.                                 
                   :-======--:.                               
                     .=++++==-::.                             
                       .=*++++=-:.                            
                         :++=-..                              
                          ..   ...                            
                     ...:.............................        
                    :::::::::::::::...:::-:::::..:-----:.     
                    .:------------==+++++=:     .::::::::     
                     :========+=*&&&&&#*+=-. .:::::::::.      
                     .=++****#&**&@@&&#*+=--:--::::::..       
                      .+#*-*@@@@@@@@@&&*+=--:::::::..         
                       :-  +@@@@@@*@@&&#*=--:::::..           
                        .:. =#&&&*-#@&&#*+--:.:.              
                         :=++*#&####&&&#*+=-:.                
             .            .=*&&&@&&##&##*+=-:.                
           ..-=.           .-=+*###*+###*+=-:.                
          ..:==            .:--=+++=-*#**+-:..                
         ..:-=:           ..:--==-:. +#*+=-:..                
         ..:-=:            .....     +*++=-:.                 
          .:---                     .+++=-:..                 
          .:::-:                    -++==-:.                  
           ..::-:.                 -++==-:.                   
            ....:::.             .-+==--:.                    
              ....:::::...   ..:-==---:.                      
                 .....:::::::------::..                       
                       .............                          
                                                              
`, `
                                                              
                   ....                                       
                ...::::::.                                    
               .:---------:..                                 
               ...:-======--:..                               
              ..    .-=++====--:.                             
              ..       :+*++=-:..                             
               .         :--:....                             
               :       .....................                  
               ..   .:::::::::::......::----------::::..      
                .:::::::::::::::::--==++++-...      :=-::..   
                 :----------==+***####**+=-         :--:::.   
                  :======++*#*+-=@@&&##*+==-       ::::::..   
                   :=++*#&&+=+*+-+@@@&#*+=--:    .::::::..    
                    :+#&*-.-@@@@@&#@@&&*+=--:. .:::::::.      
                     :+=   *@@@@@@=#@&&#+=-:::---::::..       
                      :-==:.=#&&#- .@@&#*=-::.:---::.         
                      ..:=**++=-:.::#&&#*=-:...::::.          
                       ...-+#&&@@@&&#&##*+-:......            
          ..:--.        ..:--=+*#######*+=-:..                
          .:-=+-         ..::-==+***+*#*+=-:..                
         ..:-==.        ...:---=====-+**+=:..                 
         ..:-==          ...:::--::..=*+=-:.                  
          .:--=.                     ++==-..                  
           .::--                    :++=-:.                   
           ..:::-.                 :+==-..                    
             ..::-:.              -==-:.                      
               ...:::..       .:-==--:.                       
                  ...::::::::-----::.                         
                       ...........                            
                                                              
`, `
                                                              
                    .                                         
               ....::::...                                    
             .:::::::::-:::.                                  
            .:::::---=------:..                               
            .:      .-=======-:.                              
            .:         :=++=-:..                              
             :           ::.......                            
             :.        .................::::::::::...         
              :.    .:::::::::::::---========---------::.     
              .:  ::-----------=++******+=-         .:--::.   
               .-----======++####&&&&#**+==:          :-::..  
                .===++++**#&&*-  *@&&##*+=--.         ::::..  
                 :=+**##&@#=-=++-.#@&&#*+=---.       .::::..  
                  .-=#&&*- -@@@@@&=&@&#*+=--::      .::::...  
                   .:=*+   +@@@@@@-=@&&*+=-:::.   .:-:::...   
                    .:-+*+-.=#&&#=  &@#*+=-::.. .---:::..     
                    ...:-+##+=-:    =@#*+--:...-=--:::..      
           ...       ...:--+#&&&&*+=+&#*=-:..  :---:..        
           .---:.    ...::--=+*##&&&&#*+=-:.   .:::.          
          .:-==+:    ....::--==++******+=:..    .             
         ..--==-      ..:::----====++*+=-:.                   
         .:--==:         ..:::------=+=-:.                    
         ..:--=-                .. .+=-:.                     
          .::---.                  ==-:.                      
           ..::--                .==-:.                       
            ..::::.             :==-.                         
             ....:::..      ..:--:.                           
                .....::::::::::..                             
                       ....                                   
                                                              
`, `
                                                              
                                                              
                 ......                                       
            ....:::::::::...                                  
           .::::::---------::..                               
           .-:    ..:--======--.                              
           .-.        .:-===-:.                               
            -:           .:....................               
            .-.        .:........::::::----===----::..        
             :-     .:::::::::---==++++*+++=------===--:.     
              :-  :------====++*######*+==:         .:--:..   
              .:---===++++**#&@&*&&&&#*++=--.          :::..  
               .:=++++**##&@&*-  .&@&&#*+=---           -::.. 
                .:=+*##&@@&=--++=.-@@&#*+=---:          :::.. 
                 .:-+#&&#= -@@@@@@:*@&#*+=--::         .:::.. 
                  ..:=**:  +@@@@@@-:@&#+=--:::.       .::::.. 
                  ...:-=*#=:=#&&#=  &&*+=-:....      .::::..  
                   ...:--+#&*=:.    *#*=-:....     .:-:::..   
           .::.     ...::-=+#&&#*=:.*#+=:....  .:--=--::..    
          .:-===:.......::-==+*#&&&&*+=-:.     -+==--::..     
         ..--==+=  .....:::-==+++****=-:.      ----::..       
         .:--==+.     ..:::---===+++=-:.       :::..          
         .:---=-         .:::-----==-..                       
        ..::--=-             ...:==:.                         
         ..::---               .-=:                           
         ...:::-.             :-:.                            
           ....::.         .:::.                              
             ....:::....::::.                                 
                  .......                                     
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
             .:...........                                    
            .:::::::::::::::...                               
            .--:::::::--::-----:.                             
            .-.       .:-----:..                              
            .-:          .::...........:::::::...             
            .:=         ..::::::::----===========--:..        
             .--     .:------===+++******++=-------==--:.     
             .:=-  .-=====+++***#&####**+=-.        .:--::.   
              .:==-==+++**###&@@&*#&###*+==-:          :-::.  
               .:=+++**##&&@@&*-  :&&&#*+==--.          :-:.. 
               ..:-+*#&&&@@#*+*+-. *@&#++=---:           ::.. 
                ..:-=*&@@#-=&@@@@@.-@&*+=--:::.          ::.. 
                 ..:-=+##: +@@@@@@-:@#+=-::..:.          ::.. 
                 ...:--=*#*-+#&@#= -&+--:......         :::.. 
            ..  .....::-=+#&*=:    +*=::.. ...         :-::.. 
           .:--:......::-==+#&&#=::+=:..     .       .--::..  
         ..:-=++=:....:::-==++*#&&*-:.            .:---::...  
         .:--==+*: ..::::--===++*+:..        :---===-::...    
         .:--==+:     .:::----==-.          :====--::...      
        ..:--==-        ..:::--:            :::::....         
        ..::--=.           .::.                               
        ..::---.         .::.                                 
         ...::-.       .:.                                    
            ..........                                        
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
               .........                                      
             .::----::::::...                                 
             .:-=----::::::::::..                             
             .-=: ....:::----:::..                            
             .-=.        .:-::......:::::--::::....           
             .:=-         ::::::---=============--::..        
             .:-+:     :----===+++*********++========-:.      
              .:=+.  :====++**#########*+=-:.     .:---:..    
               .:=+-=+++**##&&&@@@#####*+==-:.        :--:.   
                .:=****##&&&@@@#+: -&&#*++==-:          --:.  
                .::=*#&&&@@@@@&*-   #&#+==----.          -:.  
                ..::=+#&&@&&@@@@@@: &#+---::::.          ::.. 
               ...:::=+*&#.=@@@@@@-=#=::::....           .:.. 
            .  ....::--=+#*-+#&@#--+-.........           .:.. 
           .::.....:::--=+#&*=.  -=:.       .            ::.. 
          .::-=-:...:::--=++#&#=::.                     ::... 
         .:--==++=:.::::-==++=-.                      .::...  
        .::-==++*-  .::-----.                       .::::..   
       .:::-===+:     :::.               :----:::----:::..    
       .:::-===:                        .---====---:::..      
      .::::-==:                         .............         
       ...::::                                                
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                   ...                                        
                .:---::.....                                  
               .:====-::::::...                               
               .-==-::::::::::::...                           
               .-+-     ..::::::......::---::::..             
               .-+=        .::::::---==========---::..        
               .:=+.     .:---==++************++++==-::.      
               ..-+=   :==+++**##########*+==-::::-===-:.     
               ..:-*=-++**###&&&&&@@&&#*+=-::       .:--:.    
               ...:=*#*##&&&@@@@@&#=:###*+==-:.        :-:.   
              ...::-=*#&&&@@@@@@#:   *&*==----:         ::..  
              ...:::-+*&&&@@@@@@@@:.=+-::::::::          ::.  
              ...:::--=*#&**@@@@@@=::..........          .:.  
             ....:::---=+##=*&&*-.       .....           .:.  
           .:--:..:::--=++++:.             ..            :..  
          .:-==+-..:::::..                ..            .:..  
        .:--==++*=:..                                  .:..   
       .:--====::.                                    .:..    
      ::-::..                       .-=-:           .::..     
      ..                          .::-==+===--:::::::...      
                                .........:::-----::..         
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                    .:::::.                                   
                  .:--=---::...                               
                 .:-=+===--:::::...                           
                 .:=+-.::::--::::::.............              
                 .-=+      ..::::::-----=====----::..         
                ..:=*:      .:--==+++++++++++++====-::.       
                ..:=*=   .:==++**#######*******++++==-::.     
                ..:-+*::+***##&&&&&&&&&##*+=-::...::-=-:..    
               ...:-=*####&&&@@@@@@@&##**+=-:.       .:-:.    
             ....::-=+*&&&&&@@@@@@*=:.=**++==-:.       ::.    
             ....:::-=+#&@@@@@@@&*. ..::::::---:        :.    
              ..:::--===++==--:.       .........        ..    
            .:::....                     ......         ..    
          ....                           .....          :..   
                                        ....            :.    
                                                       ...    
                                .-:.                  ...     
                            ..::-=++-.              .:..      
                        ..........::===-:.        .::.        
                         .....    ....:--=---::::::..         
                                        ..........            
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                        ....                                  
                      .:----::..                              
                    .:-====---:::..                           
                   .:-=++==---::::::.                         
                  .:-=++. ..::-::::.....::---::::..           
                 ..:-=*=      .:::--===+++++=====--::.        
                 ..:-+#=    .-==+************+++++==-::       
                ...:-=#+ :=+*####&&&&#######****++++=--:      
               ..:::-+#&*#&&&@@@@@@@&&&&&#*+=-::...:-=-:.     
               ....::-==++***###&&&&&#**+++=-:.       -:.     
                                  ....::---===-.       :.     
                                     ....:::::::.      ..     
                                        .........      :.     
                                       .........       .      
                                 .....:::::::..       ..      
                      ....::--=.  ........           ..       
        ..::::..   ..:::::---=++:                    .        
     ::::::..        .........:-==:                ..         
     .                        ...:-=-.           ...          
                                  ..:---:.........            
                                     ...:::::...              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                          ..:::..                             
                       ..:-====--:.                           
                     ..:-=++++==-::...                        
                    ..:=+**=-----::::..                       
                  ..::-+*#:    .::::::::::------::...         
                ...::-=*#+      .-===++++++++++===--::.       
                    ..-+#- .:=+**########****+++++===-:.      
                           .-+*&&@@@&&&&####*****+++=-:.      
                               .:-+*#&&&&##*++==-::---:.      
                                    .:-+++===-:.     .:       
                                    . ...:----::.     .       
                                     ......:::::.    ..       
    ..::--=====-.........           .............    .        
  .::---====++++-:::----==++: ..:::::::.........    ..        
  ...:::-------:.....::::-=**:   ...:::::::...      .         
        .          ........:=+:                   .           
                           ..-=-.               ..            
                             ..:-:.           ..              
                                .:--:..   ....                
                                  ...::....                   
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                           ..::--::.                          
                        .::-=======--:.                       
                     ...:-=++**++==---:..                     
                     ..:=+*#*=---=---::::.                    
                        :=**:     .:::--------:::::..         
                          .     :--++++****+++++==--::.       
                               .=#&&&&#####****+++==--.       
                                 .-+#&@&&###****+++==-:       
  .::::::::::.                      .-+#&&##**+++====-.       
...:::----=====:::..              .....:-+++=-:..  .::        
....::----===++-::--==-::.       ........::-==-::   .         
  ...:--====+++-..::--=+**-.::.............:::::.  ..         
      ..::::--:......:::=*+  .:--:::.............             
                   .....:-*:    ..:--:::.......               
                        ..-+.       ...:::....                
                          .:=:             ..                 
                            .-:.                              
                              .::....                         
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                          ...:---==--:.                       
                        ..:-==+++++++==-:.                    
                          :=***#**+++===-:.                   
                           .-**-:.:-==---::.                  
  ...::.                            .:-----:::....            
 ..:::--::.                     .:+*********+++===--:.        
  ..::-:-------::.               .-*&@&&&##****+++==-:.       
   .::----===+=:----:               :*&&&###****++==-.        
    .::--====+-.:::-===:.       .... .-*&&###**+++=-:         
      ..:-====:..:::-=+##=:............:-+*+====---.          
           ...  ....::=*#=-:--:..........:-----::.            
                  ...:-=*.   :--::........:::--:.             
                    ..:-+:     .:--:::.........               
                     ..:--       .:::::.....                  
                       ..::         .....                     
                          .:.                                 
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                            ......:...                        
    ...::                  .::--=====---:..                   
   ...::-:.                 .-+****++++==--:.                 
    .:::---:                 .=###***+++===-:.                
     .:------:..               :-.  .:-=-----:.               
     .:----====-:-:.                   ::---:::.              
      .:---===-::-==-.           .-*##*****++===-::..         
       .::-==-...::-++-. .      ...:*@&&&###**+++=--:.        
          .::. ...:-=+#*-...   ......+&&&&##***+++=-.         
                 ..--+*&*=:.........::-#&&##***++=:.          
                  .:-=*-.::--:.......:::+***+++=-.            
                   .-==     :-::......:::-----:.              
                   .:=-      .:-:......::::..                 
                    .:-.       .::......                      
                      ..         ..                           
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
      ...:::.                                                 
      ...::--.                                                
      ..:::---.               :::::::::..                     
       ..::----:              :=++++++===-::.                 
        .::------:.            -####***+++==-:.               
         .-====--:-:           .+#*++++*+++==-:.              
          .-=-:..:-=-.          .:     .-=====-:.             
           ... ..::-+=.          .:--:.  .-----::             
                ..:-+*#-...    ...:#@&&#*++==--::.            
                ..:=+#&#-..........:#@&&&##**++==-:.          
                ..-=**=-=-::......:.-#@&&##***++==-:.         
                .:-++.   .-::......::-#&###***++=:.           
                .:-+.     .--:.....:::-*#***+=-.              
                 .:-       .--:.....::--::::.                 
                   .        .:::.......                       
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
           ....                                               
          ..::::.                                             
           .:::::.                                            
           .::::::.                                           
           .::----:            .:.......                      
            :----==:           .--------::..                  
             :---::-:           =*****+++==-:..               
              ....:-=.          -#&&&##**+++=--.              
               ...::==..       ..--:---=+++++==-:.            
               ...:=+*=..      ..::.     .=+===--:            
              ...:=+*&&-....  ....+&#*=:.  -==---:.           
              ..:-+**=--:.........-&@@&&#+=-----::.           
              .:-++-   .-:.......::*@&&&&##*+=--::.           
             .:-==.     :-:......::-&&&&##***+==-:.           
               .-.       ::.....:::-*&&###**++=-:.            
                         .:::..::::-=*###*+=-:.               
                          .........::..::..                   
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                ..                                            
               ..::.                                          
               ..:::                                          
               ..:::.                                         
               ..:--:                                         
               .:---:                                         
                :----.           .....                        
                .:::-:           :--:::....                   
               ....:--          .=+++++==--::.                
                ..::==.         .*&&###**+++=-:.              
               ..::-=*: .       .+#**####**+++==-.            
             ..::-=+*&+...     ..-=:   .:-+++++==-:           
            ..:-=+***=-:.........=&&*-     :++===-:.          
            .:-=++-.  .:.........=@@@&#=:   :====-:.          
            .-==.      ::........=@@@&&&*=:  ----::.          
             ::        :::......:-&@&&&##*+=::::::..          
                       :-:...::::-#&&&&##*++=-::::.           
                       .-:..:::::-*&&##***++=--:..            
                        ....::::--==+***++=-:...              
                                ...  ....                     
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                     ..                                       
                     .:                                       
                    .::                                       
                    .::.                                      
                    .::.                                      
                    :::                                       
                    .--                                       
                    .::           .:..                        
                 ...:-:           :--:...                     
                ....:-:          .=++=--:::..                 
               ...:-==:          -###***++=--:.               
             ..::-=+*#- .        +&&&&&&##*++=-:.             
           ..:-=+****+-..     . .+#*-:-=+****++=-:.           
          .:-=++=-:   :.... ....-@&&#-    .=++++==:.          
          :-==:      .:.........+@@&&&*.    .++++=-:.         
          .-:        .:.......::*@@@&&#*:    :====-:.         
           ..        .:.....::::*@@@&&##+-   :===--:.         
                     .:...::::--#@&&&&##*+-. -----::          
                     .:...:::---*&&&###**+=-::---:..          
                      ...::::--=-=###**+++=:..:::.            
                         ..:::-=- -***+==-:......             
                              ...  :::::..                    
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                          ..                                  
                          .                                   
                         ..                                   
                         ..                                   
                         .                                    
                         .                                    
                                                              
                       ..                                     
                    ...:            .:..                      
                  ..::-:           .::::..                    
               ...:::-=.          .===--::..                  
            ...::--=+*=          .+#***+==-:..                
          ..::-=++****:          -&&&&&#**+=-::.              
         .:-====-:.. :...       :#&##*+####*++=-:.            
        .:-=-.       :.........:#@&&#*. .:=***++=-.           
        .::         .:.........=@@@&&#*     -*+++=-:          
         ..         ::.......::#@@@@&##=     :++==--:         
          .         ::.....:::=&@@@&&#**:     -===--:         
           ..      .:....:::--+&@@&&&#*+=    .-==--:.         
             .     .:...:::-==-#&&&&##*+=:  .-----::          
                   .....:::-=+ =&###**+=-:..::::::..          
                    ....::--== .#***+++=:..:::::..            
                        .::-=- .*+++==-:.  :::..              
                          ...:.:----::..   ...                
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                      ....                                    
                    ...::.            .                       
                 ...:::-.            .::...                   
              ...::--==:            :---::...                 
          ..:--=+++***=           .=*++==-:....               
        .::====--:::.:.          .*&&##*+==-::..              
       .:--:.        ..         .*&&&&&&&#*+=-::.             
       .::          ....    .. :&@&&&#*-=*##*+=-:.            
       ..          ...........:&@@@&&#*:  .=**++=:.           
        .          :........::#@@@@@&#*=     =*++=:.          
        ..        .....::::::=&@@@@&&#*=      -++=-:.         
         ..       :..:::::----&@@@&&#*+=      -===--.         
           .     ....::::-=+::&&&&&#*+=-     :===--:.         
            .     ....::--++ -&####*+=-:   .------:.          
                  ....:--=+: +##***+=-:..:---::::..           
                   ...::::-=-***+++=-..:-:::::..              
                   ......:-=++====--: .::::...                
                       ..:::----:::.  ....                    
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                          ..                                  
                      ...::.                                  
                     ...::.             ..                    
                 ....::-:              .::.                   
           ..::--====++=              ::::...                 
       ..::-=====--====.            :==--::...                
      ..:--:.                     :*#*++=--:...               
      .::.          ....        .=&@&&&#*+=-::..              
      .:           ......      -&@@&&&#####+=-:..             
      .           .......... .+@@@@@&&#*::+**+=-..            
      .          .:.........:+@@@@@@&##*.  .=*+=-:..          
       .        .:.....::::-:=@@@@@&&#*=     :++=-:.          
       .        .....:::--+-.#@@@&&&#++:      -+==-:          
        ..      ....::--=+- +@&&&&##+=-      .-===-:          
         ..     ....:--=++ :&&####*+=-.    .:-===--.          
           ..   ....:--==++*###**++=::.:::-------::           
            ...     ....:+*****++=-:.:::::::::::..            
              .........-+++++++=-::.:::::::....               
                 .::--=======--:.........                     
                    ....::::...                               
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                        ......                                
                     ....:::                .                 
            .....:::::::-:.                :.                 
        ..:--=======++++:                .::.                 
      ..----:...   ...:.              .:-:::..                
     .:-:.                          :===-:::....              
    ..:.           ...            -#&#*+=--:....              
    ...           ..           .+&@@&&&##*=-:...              
    ..           :. .      ..:*@@@@&&&##**#*=-:.              
    ..          .............#@@@@@&&##*- :+*+-:.             
    ..         .........:--..#@@@@&&#**=    -++=:.            
    ...        ...:::::-=- .#@@@&&&#*+=.     .++-:.           
     ...       ..::--==*#=:#@&&&&##*+=.       =+=-.           
       ..       ..::-=+++*#&####**+=-.   ..::====-:           
        ..       .....:-+**##***+=-:::::::----==--:           
         .::.        :=*****++++=:::::::::::::::::            
          ..:::::::-=+*+++++==-::...............              
             .:--=========--::..                              
               ...:::::::...                                  
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                         .......                              
                      .....::..                               
           ...:::::::::::-:.                                  
       .::--::::::--===+=:                  ...               
     .::::.           ..                  ....                
    .::.                               .::::...               
   .::             .                :--=-:::....              
   .:.           ..              :+#&&*+=-:::..               
   .:           :..           :+&@@@@&&#*+=::...              
   .:          ....        ..*@@@@@&&##**=*+-:...             
   ..          ........ .::.+@@@@@&&##*+: .=+=:..             
    ..         .::----=+***#@&@&&&##*+=.    :+=:.             
    .:.         .:--=++++*&&&&&&##*+=-.      :+=:.            
     .:.           ...:+#######**+=-:::::::::=+=-:.           
     ..::           :=*##*#***+==:::::::::---=+=-:.           
      ..:--:....:-=+******++==-:....:::::::::----:            
       ..:--====++++++++==--:..        ..........             
         ..::------==---::..                                  
            .....:.::...                                      
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                        .........                             
         ...::::::........::::.                               
     ..:::::::...:::------:.                                  
    ..:..             .::.                                    
  ..::.                                      ..               
  ..:.            ..                      .....               
 ..:.           ...                   .:::::....              
 ..:.          ...               :-*##*=-::.....              
  .:.          ..            :=*&@@@&&&*+=:.....              
  .:.           ::.    ...:+&@@@@@&&#**+--+-...               
  ..:.           .:-----=*&@@&&&&&#*+==:  .==:..              
  ..::.              .:+#&&&&&&##*+=-::.::..-=-.              
   ..::.           .-+########*+==-:::::::---==:              
    ..::--:....:-=+*********++=-:....:::::--==+-.             
     ..:--===+++++++++++++==-:.        ..::--==-:             
      ..::---==========--::.                ....              
        ...:::::::::::...                                     
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                          ........                            
         ..........     .......:...                           
     ..:::.........::::...:::::.                              
   ..::.             .::---:.                                 
  ..::                   .                                    
 ..::            .:..                                         
 ..:.           ..                           ...              
 ..:.                                    .....                
 ..:.                              .:---::...                 
 ..::.                        .:=+##&#*+-:....                
 ..:::.               .-==+*##&&&&#*++=--=-...                
  .:::-:.          :=+##&&&&&&#**++=-:::::--:.                
   .:::----::::-=+************+==-:. ..::::-=:                
    ..:--===++++++++++***++==-::.       .::-==:               
      .::--=============--::.             .:-==:              
         ..::-------::...                    ...              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                            ......                            
    ..::..       ...................                          
  ..:::             .:::....::::..                            
 ..:::            :-=++*++=-::.                               
 ..:-.          .----=+##*=.                                  
...::          ..                                             
...::.                                                        
 ..:::                                                        
  .::::.                                  ..                  
  ..:::-:..                        ..::::...                  
   ..:::-========+=-:.       ..::---:. .::.                   
    .::---===+++++*****+++++===-:.       ...                  
      .::--======+++++++==-::.             ..                 
         ..:::::::::::...                    ..               
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                            ...                               
    ..::.                      ...                            
   .:::            . .......    .....                         
  .:::.          .-=-::..::........                           
  ..::.         :-=+****=-:-:::.                              
  ..:::        ..:::-+#@@@#-:.                                
  ..::::             .-+++-                                   
  ...:::-:                                                    
   ..:::----:                                  ...            
     .::---==:                                                
      .::--===.                         ...                   
        .:---==:                        ...                   
            ..:::.                                            
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                            ..:::::::::..                     
      ..                   ...-+++++===+=-                    
    .:::                   ....:-+**+++-:                     
   ..:::.        .. .............:-==-.                       
   ..::::.      :==-:...........:..                           
    ..:::-:.  .:--=***+-:::::...                              
     ..::---:....::=+#&&#+-:.                                 
      ..:---:.   .:-+*#&&+:                       .:.         
       .::-:     ..::--:                        :::::.        
        .::                                   ...::::.        
                                            .      ....       
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                               ....:::::::..                  
                          .::--===++++======-:                
                         .:+*********+++++=:                  
    .::::.                .:=#&#####**+=-.                    
     .::::::.            .. .:=*#+-:..                        
      .::::--:...    .   ...::.:-:..                          
       .::::---:--:.........:::::..                           
        ..::::::-=+++-:.......                      ...       
          .....::-=*#&#+-:..                      :::::.      
              .::-=+*#&#=.                        :-:::..     
              .:--=+*+-                           :-:::.      
               .....                        ..    .:...       
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                  ....:::::::..               
                             ...:--===========--:..           
                          .::-==++++++++++++++===-:.          
                    . .:--=+***######***++=-:::::--:..        
                     ..:-+####&&&&&*+-:.          .::...      
       ...           ....:=#&@&&#=:.               .-:...     
        .::..        ......:=*@@+--:                :::...    
          ..:...   .........::=*#=.                 ::::..    
            ..::::..........:.                      :::::..   
             ..:-=+=:......                         .-:::..   
             ..:=+*##*-:.                           .-:::..   
             .:-=+**##=                             :-::...   
            ..:=+++=-                      .........::...     
            .:---:                                            
            ..                                                
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`, `
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                      ....:::::....           
                                ...:--=========---::.         
                            ..::--=++++++++++++==----:.       
                         .:--==++*********++=======---:.      
                ...    .:-=+**########*=-..     .:-=--::..    
                  ...:-=++*##&&&&&&*=:             .:-:::..   
                   ..:-=*&&&&&&&&*:                  :::::.   
                   .....-+&@@@@@#-                    .::...  
                   .......:+#@&*:                      ::...  
                  ......::::..                         :::..  
              .::.  ......                             ::...  
             .:-==-:...                               .-:...  
             .-=+**#=                     ..         .-:....  
            .:-=++=:                    ...........::::...    
           .:-==-.                    ......                  
         ..:--:                     ....                      
         ...                                                  
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
                                                              
`,
}
